$PROB Transit delay
$DATA sd.csv
$INPUT ID TIME AMT WT DV
$SIM (20050830 NEW) ONLYSIM NSUB=1

$THETA 
3    ; pop_cl
10   ; pop_v
1    ; pop_ka h-1
1    ; pop_mtt h
5    ; pop_nt
$OMEGA 0 FIX ; ppv_cl
$SIGMA 0.0001 FIX ; ruv_sd

$SUBR ADVAN6 TOL=3
$MODEL
COMP (GUT)
COMP (CENTRAL)

$PK
IF (NEWIND.LE.1) THEN
   DOSE=0
   TDOSE=0
   TLAST=0
   TINY=0.00001
ENDIF
IF (AMT.GT.0) THEN
   DOSE=AMT
   TDOSE=TIME
ENDIF
CL=POP_CL*EXP(PPV_CL)
V=POP_V
KA=POP_KA
MTT=POP_MTT
NT=POP_NT
KTR=(NT+1)/MTT
LNFAC= LOG(2.5066)+(NT+.5)*LOG(NT)-NT
LNDK=LOG(DOSE+TINY)+LOG(KTR)
;Very important!
F1=0

$DES
DCP=A(2)/V
RATEIN=KA*A(1)
X=KTR*(T-TLAST)
DADT(1)=EXP(LNDK+NT*LOG(X+TINY)-X-LNFAC)-RATEIN
DADT(2)=RATEIN - CL*DCP

$ERROR
CP=A(2)/V
Y=CP + RUV_SD
TLAST=TDOSE

$TABLE ID TIME CP Y
ONEHEADER NOPRINT FILE=transit.fit
