$PROB Transit delay
;can be used for multiple dosing
;IFF absorption is complete within one dosing interval
$DATA ndose.csv
$INPUT ID TIME AMT WT DV
$SIM (20050830 NEW) ONLYSIM NSUB=1

$THETA 
3    ; pop_cl
10   ; pop_v
1    ; pop_ka h-1
1    ; pop_mtt h
5    ; pop_nt
$OMEGA 0 FIX ; ppv_cl
$SIGMA 0.0001 FIX ; ruv_sd

$SUBR ADVAN9 TOL=3
$MODEL
COMP (GUT)
COMP (TRANSIT)
COMP (CENTRAL)

$PK
IF (NEWIND.LE.1) THEN
   DOSE=0
   TDOSE=0
   TLAST=0
ENDIF
IF (AMT.GT.0) THEN
   DOSE=AMT
   TDOSE=TIME
ENDIF
CL=POP_CL*EXP(PPV_CL)
V=POP_V
KA=POP_KA
MTT=POP_MTT
NT=POP_NT
KTR=(NT+1)/MTT
NFAC= SQRT(2*3.1415)*NT**(NT+0.5)*EXP(-NT)

$DES
DCP=A(3)/V
GUT=A(1)
RATEIN=KA*A(2)
DADT(1)=-KTR*GUT
DADT(2)=GUT*KTR*(KTR*(T-TLAST))**NT/NFAC - RATEIN
DADT(3)=RATEIN - CL*DCP

$ERROR
CP=A(3)/V
Y=CP + RUV_SD
TLAST=TDOSE

$TABLE ID TIME CP Y
ONEHEADER NOPRINT FILE=transit.fit
