$PROB Transit delay
$DATA ndose.csv
$INPUT ID TIME AMT WT DV
$SIM (20050830 NEW) NSUB=1
$EST MAX=9990 SIG=6 ;PRINT=1
METHOD=CONDITIONAL INTERACTION

$THETA 
(0,3)    ; pop_cl
(1,10)   ; pop_v
(0.1,1)  ; pop_ka h-1
(0.1,1)  ; pop_mtt h
(1,5)    ; pop_nt
$OMEGA 
0.01 FIX  ; ppv_cl
0 FIX     ; ppv_v
0 FIX     ; ppv_ka
0 FIX     ; ppv_mtt

$THETA
(0.001,0.1)  ; RUV_CV
(0.001,1)    ; RUV_SD
$SIGMA 1 FIX ; EPS1
$SIGMA 1 FIX ; EPS2

$SUBR ADVAN9 TOL=3
$MODEL
COMP (GUT)
COMP (TRANSIT)
COMP (CENTRAL)

$PK
IF (NEWIND.LE.1) THEN
   DOSE=0
   TDOSE=0
   TLAST=0
ENDIF
IF (AMT.GT.0) THEN
   DOSE=AMT
   TDOSE=TIME
ENDIF
CL=POP_CL*EXP(PPV_CL)
V=POP_V*EXP(PPV_V)
KA=POP_KA*EXP(PPV_KA)
MTT=POP_MTT*EXP(PPV_MTT)
NT=POP_NT
KTR=(NT+1)/MTT
NFAC= SQRT(2*3.1415)*NT**(NT+0.5)*EXP(-NT)

$DES
DCP=A(3)/V
GUT=A(1)
RATEIN=KA*A(2)
DADT(1)=-KTR*GUT
DADT(2)=GUT*KTR*(KTR*(T-TLAST))**NT/NFAC - RATEIN
DADT(3)=RATEIN - CL*DCP

$ERROR
CP=A(3)/V
Y=CP*(1+RUV_CV*EPS1) + RUV_SD*EPS2
IF (ICALL.EQ.4) THEN
   SIMCV=0.01*RUV_CV
   SIMSD=0.01*RUV_SD
   Y=CP*(1+SIMCV*EPS1) + SIMSD*EPS2
   NEPS=0
   DOWHILE(Y.LE.0.AND.NEPS.LT.100)
      CALL SIMEPS(EPS)
      Y=CP*(1+SIMCV*EPS1) + SIMSD*EPS2
      NEPS=NEPS+1
   ENDDO
ENDIF
TLAST=TDOSE

$TABLE ID TIME 
CL V KA MTT
CP Y
ONEHEADER NOPRINT FILE=transit.fit
